# Source code for azure.mgmt.logic.models.response_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class Response(Model):
        """A response.

        :param headers: A list of all the headers attached to the response.
        :type headers: object
        :param status_code: The status code of the response.
        :type status_code: int
        :param body_link: Details on the location of the body content.
        :type body_link: ~azure.mgmt.logic.models.ContentLink
        """

        _attribute_map = {
            'headers': {'key': 'headers', 'type': 'object'},
            'status_code': {'key': 'statusCode', 'type': 'int'},
            'body_link': {'key': 'bodyLink', 'type': 'ContentLink'},
        }

        def __init__(self, *, headers=None, status_code: int=None, body_link=None, **kwargs) -> None:
            super(Response, self).__init__(**kwargs)
            self.headers = headers
            self.status_code = status_code
            self.body_link = body_link